Bug 21041 - "Merge patrons" button remains disabled with "Select all" option
Summary: "Merge patrons" button remains disabled with "Select all" option
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 9302
Blocks:
  Show dependency treegraph
 
Reported: 2018-07-05 17:11 UTC by Séverine Queune
Modified: 2018-09-21 10:13 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21041: "Merge patrons" button remains disabled with "Select all" option (1.75 KB, patch)
2018-07-16 17:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21041: "Merge patrons" button remains disabled with "Select all" option (1.81 KB, patch)
2018-07-20 18:26 UTC, Pierre-Luc Lapointe
Details | Diff | Splinter Review
Bug 21041: "Merge patrons" button remains disabled with "Select all" option (1.89 KB, patch)
2018-07-23 15:34 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2018-07-05 17:11:49 UTC
The option to merge selected patron button can't be used if patrons are selected using the "Select all" option link : the button remains grey.
Comment 1 Owen Leonard 2018-07-16 17:36:31 UTC
Created attachment 77019 [details] [review]
Bug 21041: "Merge patrons" button remains disabled with "Select all" option

This patch modifies the JavaScript functions for the select all/clear
all links so that each action triggers the "change" event, required to
enable or disabled the "merge selected patrons" button.

To test, apply the patch and perform a patron search which will return
multiple results.

 - Test the "select all" and "clear all" links, and confirm that the
   "Merge selected patrons" button is enabled and disabled.
 - Test that checking and unchecking multiple checkboxes still works
   correctly to enable and disable the button.
Comment 2 Pierre-Luc Lapointe 2018-07-20 18:26:53 UTC
Created attachment 77176 [details] [review]
Bug 21041: "Merge patrons" button remains disabled with "Select all" option

This patch modifies the JavaScript functions for the select all/clear
all links so that each action triggers the "change" event, required to
enable or disabled the "merge selected patrons" button.

To test, apply the patch and perform a patron search which will return
multiple results.

 - Test the "select all" and "clear all" links, and confirm that the
   "Merge selected patrons" button is enabled and disabled.
 - Test that checking and unchecking multiple checkboxes still works
   correctly to enable and disable the button.

Signed-off-by: Pierre-Luc Lapointe <pierreluc.lapointe@inLibro.com>
Comment 3 Jonathan Druart 2018-07-23 15:34:28 UTC
Created attachment 77183 [details] [review]
Bug 21041: "Merge patrons" button remains disabled with "Select all" option

This patch modifies the JavaScript functions for the select all/clear
all links so that each action triggers the "change" event, required to
enable or disabled the "merge selected patrons" button.

To test, apply the patch and perform a patron search which will return
multiple results.

 - Test the "select all" and "clear all" links, and confirm that the
   "Merge selected patrons" button is enabled and disabled.
 - Test that checking and unchecking multiple checkboxes still works
   correctly to enable and disable the button.

Signed-off-by: Pierre-Luc Lapointe <pierreluc.lapointe@inLibro.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Nick Clemens 2018-08-08 21:33:14 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-08-09 10:19:08 UTC
Pushed to 18.05.x for 18.05.03
Comment 6 Fridolin SOMERS 2018-09-21 10:13:03 UTC
Depends on Bug 9302 not in 17.11.x